/* This programs convert two mono 16-bit raw sound files
   into one stereo alternate file */
   
/* Jan Kybic <kybic@earn.cvut.cz>, January 1996 */   

#include <stdio.h>

char buf[1024] ;

int main(int argc,char *argv[])
{ 
FILE *s,*l,*r ;
char buf[4] ;

puts("mono2ste: converts two mono 16bit raw sound files "
   "to one stereo alternate file.") ;
if (argc!=4)
  { puts("Usage: ste2mono left.raw right.raw stereo.raw") ;
    return -1 ;
  }

if ((l=fopen(argv[1],"r"))==NULL)
  { printf("! Cannot open file %s for reading.\n",argv[1]) ;
    return -2 ;
  }    

if ((r=fopen(argv[2],"r"))==NULL)
  { printf("! Cannot open file %s for reading.\n",argv[2]) ;
    return -2 ;
  }    

if ((s=fopen(argv[3],"w"))==NULL)
  { printf("! Cannot open file %s for writing.\n",argv[3]) ;
    return -2 ;
  }    

while (fread(buf,2,1,l)==1 && fread(buf+2,2,1,r)==1)
  { fwrite(buf,2,2,s) ; }  

fclose(s) ; fclose(r) ; fclose(l) ;
return 0 ;
} 