/* This programs convert a stereo 16-bit alternate raw sound file
   into two mono ones */
   
/* Jan Kybic <kybic@earn.cvut.cz>, January 1996 */   

#include <stdio.h>

char buf[1024] ;

int main(int argc,char *argv[])
{ 
FILE *s,*l,*r ;
char buf[4] ;

puts("ste2mono: converts stereo 16-bit alternate raw sound file into two "
     "mono ones.") ;
if (argc!=4)
  { puts("Usage: ste2mono stereo.raw left.raw right.raw") ;
    return -1 ;
  }

if ((s=fopen(argv[1],"r"))==NULL)
  { printf("! Cannot open file %s for reading.\n",argv[1]) ;
    return -2 ;
  }    

if ((l=fopen(argv[2],"w"))==NULL)
  { printf("! Cannot open file %s for writing.\n",argv[2]) ;
    return -2 ;
  }    

if ((r=fopen(argv[3],"w"))==NULL)
  { printf("! Cannot open file %s for writing.\n",argv[3]) ;
    return -2 ;
  }    

while (fread(buf,2,2,s)==2)
  { fwrite(buf,2,1,l) ; fwrite(buf+2,2,1,r) ; }  

fclose(s) ; fclose(r) ; fclose(l) ;
return 0 ;
} 