function arfr(a)
% draws a frequency response of an AR system

N=100 ;
num=[1 zeros(1,length(a)-1)] ;
den=[1 -a] ;
%f=logspace(-2,0,N) ;
f=linspace(0.01,1,N) ;
g=zeros(1,N) ;
for k=1:N,
  z=exp(-i*f(k)) ;
  g(k)=polyval(num,z)/polyval(den,z) ;
end ;

%subplot(211) ; % loglog(f,abs(g)) ;
plot(f,abs(g)) ;
%subplot(212) ; % semilogx(f,angle(g)) ;
