% Experimental script for measuring the SNR improvement
t=linspace(1,1000,1000) ;
y=sin(t/7)+sin(t/10) ;
rand('normal') ;
ns=rand(1,1000)*1 ;
yn=y+ns ;
n=4 ; % rad systemu

for isnr=-10:5:10,
  
  yn=y+ns*(10^(-isnr/20)) ;
  a=clhamre(yn,n) ;
  yf=kalmkee(yn,ar2tm(a),0.1*ones(1,n)) ;
  d1=yn-y ; d1=sum(d1.*d1)/length(yn) ;
  d2=yf-y ; d2=sum(d2.*d2)/length(yn) ;
  isnr, osnr=10*(log(d2)/log(10)), impr=osnr-isnr 
  clg ; subplot(211) ; plot([y' yf']) ; 
  subplot(212) ; plot([y' yn']) ;
  disp('Press ENTER') ;
  pause ;
 end ;


 




