function k=kgainm(A,C,Q,R)
% Determines optimal steady-state Kalman gain
% 'A' is the system matrix 
% Usage: k=kgainm(A,C,Q,R)

n=length(A) ;

% Unstable ?
if max(abs(roots(poly(A))))>1, 
  error('System matrix is unstable') ;
end ;

prec=1e-6 ;   % the desired precision

P=eye(n) ;
Pold=P+eye(n) ;
iter=0 ;

P=dlyap1(A,Q) ;

while max(max(abs(P-Pold)))>prec ;
      Pold=P ;	
%     P=A*(P-P*h'*inv(h*P*h'+1)*h*P)*A'+h*q*h' ;
      P=A*(P-P*C'*inv(C*P*C'+R)*C*P)*A'+Q ;
      iter=iter+1 ;
      end ;
%   P
iter

k=P*C'*inv(C*P*C'+R) ;






