function e=mlaroefn(l,a,x,dispf)
% Compute the prediction error function
% l is the process noise/output noise ratio

if nargin<4, dispf=0 ; end ;

n=length(a) ; 
T=length(x) ;
M=zeros(2*T-n,T) ;
for i=1:T-n,
  M(i,i:i+n-1)=-a(n:-1:1) ; M(i,i+n)=1 ;
  end ;
for i=T-n+1:2*T-n,
%  M(i,i-T+n:i+n-1-T+n)=l*a(n:-1:1) ;
   M(i,i-T+n)=l ;
  end ;

p=[ zeros(T-n,1) ; l*x(1:T)'] ;
z=M \ p ;

%d=x'-z ;
pr=M*z ;
d=pr-p ; d=[d(1:T-n); d(T-n+1:2*(T-n))/l ] ;
%d=d(T-n+1:2*(T-n)) ;
e=sum(d .* d)/T ;
z(1:n)=x(1:n) ;
% pr=[x(1:n) pr(T-n+1:2*(T-n))'/l] ;
if dispf, plot([z x']) ; end ;
%e=sum(abs(d))/T ;
