function s=mvsp(x,n,T)
% Minimum variance spectrum estimate of of the order n and length T
% roughly equivalent to abs(fft(x)) but smoother
% Yields very conservative estimate

x=x(:) ;
c=corrs(x,n) ;
R=c2R(c) ;
% [v,d]=eig(R) ;
% U=diag(inv(abs(d)+eps)).^2 ;
% V=abs(fft(v,T)/T).^2 ;
% s=sqrt(n./(V*U)) ;
Ri=inv(R) ;
q=zeros(T,1) ;
for i=1:n, q(i)=sum(diag(Ri,i-1)) ; end ;
for i=1:n-1, q(T+1-i)=q(i+1) ; end ;
s=1./abs(fft(q)/T) ;


  