function c=ps2c(s,n)
% Calculates the correlation function of the length n
% from the symetrical power spectrum
% Usage: s=c2ps(c,n)

s=s(:)' ;     % make it a row
m=length(s) ;
c=real(ifft(s/m)) ;
if m/2>n,
  c=c(1:n)' ;
else
  c=[c(1:m/2) zeros(1,n-m/2)]' ;
end ;


