/* This is a header file for 'C' implemetations */
/* of Fast Fourier Transform    */

#ifndef _fft_h
#define _fft_h

#define WORD short int

typedef struct { float r,i ; } complex ;

int initfft(int p) ;     /* initializes FFT for N=2^p */
                         /* returns 0 if O.K. */ 
void closefft() ;         /* deallocates memory */
void fft(complex *in,complex *out) ; /* performs FFT */
				     /* in buffer remains untouched */

#endif
