function c=a2c(a,m)
% Given AR model coefficients a, calculate first m autocorrelation
% coefficients (including zero lag one stored in c(1))
% Assume white input noise with unit dispersion
% Usage c=a2c(a,m) ;

n=length(a) ; 
A=ar2tm(a) ;
P=ones(n) ;
h=[ zeros(1,n-1) 1] ; G=h'*h ;
Pold=2*P ;
eps=1e-3 ;  % precision

if 0,
 while max(max(abs(P-Pold)))>eps*max(max(abs(P))), 
  Pold=P ;
  P=A*P*A'+G ;
 end ;

else if 0,

   for i=1:200,
    P=A*P*A'+G ;
   end ;
  else 
   P=dlyap1(A,G) ;
  end ;
end ;

Ak=eye(1) ;
c=zeros(1,m) ;
for k=1:m,
 c(k)=h*Ak*P*h' ;
 Ak=Ak*A ;
end ;

c=c' ;

















