function u=arinv(y,a) 
% This function performs whitening of an input vector y applying inverse
% filter to the AR filter with coefficients a
% Usage: u=arinv(y,a) 

T=length(y) ;
n=length(a) ;

a=[-a(n:-1:1) 1] ;
u=zeros(1,T) ;
y=y(:) ;
a=a(:) ;

for i=n+1:T,
   u(i)=a' * y(i-n:i) ;
end ;
