function c=corrs(y,n)
% Computes the first n coefficients of the autocorrelation
% function of the signal y
% c(1) is the correlation at lag 0, c(2) at lag 1 etc.
% The correlation is estimated using FFT

N=length(y) ;

c=abs(fft(y)).^2 / N  ;
c=real(ifft(c)) ;

c=c(1:n)' ;





















