function c=corru(y,n)
% Computes the first n coefficients of the autocorrelation
% function of the signal y
% c(1) is the correlation at lag 0, c(2) at lag 1 etc.
% The correlation is unbiased

N=length(y) ;
c=zeros(n,1) ;

for i=1:n,
  c(i)=sum(y(1:N-i+1).*y(i:N))/(N-i+1) ;
end ;