function dbode(num,den)
% Makes a Bode plot of the given discrete system (in z coefs)
N=100 ;
numr=num ;
denr=den ;
%f=logspace(-2,0,N) ;
f=linspace(-0.01,1,N) ;
g=zeros(1,N) ;
for k=1:N,
  z=exp(-i*f(k)) ;
  g(k)=polyval(num,z)/polyval(den,z) ;
end ;

%subplot(211) ; % loglog(f,abs(g)) ;
plot(f,abs(g)) ;
%subplot(212) ; % semilogx(f,angle(g)) ;
