% This script demonstrates the repetitive autocorrelation AR parameter
% estimation method

% get the signals
testsig1

% model order
n=4 ;

% show them
plot([y' yn']) ; zoom on ;

disp('Classical method, clean signal') ;
a1=x2a(y,4) 

disp('Classical method, noisy signal') ;
a2=x2a(yn,4) 

disp('Repetitive autocorrelation method, clean signal') ;
a3=x2ar(y,4) 

disp('Repetitive autocorrelation method, noisy signal') ;
a4=x2ar(yn,4) 
