disp('Demonstrate Spectral Subtraction') ;
disp('We use real data') ;
load spsig4 ;
sp2=sp2(101:356) ;
sns2=sfft(ns2,256,4) ;
ns2=ns2(101:356) ;
k=5 ;  % this controls the SNR   
ns2=k*ns2 ;

snrpre=10*log10(sum((sp2).^2)/sum(ns2.^2)) 

% ns=16 ; nn=16 ;
xm2=ns2+sp2 ;
% figure(1) ; plot([sp2 ns2 xm2]) ; title('Input') ;
% legend('Speech','Noise','Mix') ;
% zoom on ;

ssp=fft(xm2) ;
cc=cputime ;
sspa=angle(ssp) ; sspp=abs(ssp) ;
ysp=max([sspp'-sns2 ; zeros(1,256)])' ;
ysp=abs(sspp'-sns2)' ;
ysp=ysp.*exp(j*sspa) ;
y=real(ifft(ysp))' ;
elapsed=cputime-cc 

figure(2) ;
plot([y' sp2 xm2]) ;
title('Half wave rectification, amplitude subtraction') ;
legend('Filter output','Speech','Filter input') ;
zoom on ;
error=sum((y-sp2').^2) 
snrpost=10*log10(sum((sp2').^2)/sum((y-sp2').^2)) ;
snrimpr=snrpost-snrpre 






