function w = hanning1(n)
%HANNING HANNING(N) returns the N-point Hanning window in a column vector.

%   Copyright (c) 1988-97 by The MathWorks, Inc.
%       $Revision: 1.7 $  $Date: 1997/02/06 21:54:05 $

w = .5*(1 - cos(2*pi*(1:n)'/(n+1)));

