function a=idarx(y,n)
% Identifies ARX model of the n-th order using data y
% uses LSM - one time identification
% returns vector of n a coefficients


 T=length(y) ;
 z=zeros(T-n,n) ;
 b=y(n+1:T) ;
 for i=1:T-n,
  for j=1:n, z(i,j)=y(i-j+n) ; end ;
    b(i)=y(i+n) ;
 end ;
% a=(z\b')'
% size(z), size(b)
 a=(z\(b'))' ;

