function s=memsp(x,n,T)
% Maximum entropy spectrum estimate of of the order n and length T
% roughly equivalent to abs(fft(x)) but smoother
% Yields very conservative estimate

a=burg1(x,n) ;
s=a2s(a,T)' ;
b=sqrt(T*sum(x.^2)/sum(s.^2)) ;
s=s*b ;




  