function [ao,bo]=rekurz(n,T,u,y)
% Identifikator parametru ARMAX modelu rekurzivni metodou
% Predpoklada stacionarni parametry, muze bezet online

dimz=2*n ; % Dimenze regresoru z

% inicializace
% f=randn(dimz,1) ; % parametry
f=[-6/8 -1/150 1 0]' ;
f=zeros(dimz,1) ; % parametry
p=1e50*eye(dimz) ;
z=zeros(dimz,1) ;

% Dekodovani parametru
for j=1:n, ao(1,j)=f(j) ; bo(1,j)=f(j+n) ; end ;


for i=2:T,
  % tvorba regresoru
  for j=1:n, 
    if (i-j>0) z(j)=y(i-j) ; else z(j)=0 ; end ;
    if (i-j+1>0) z(j+n)=u(i-j+1) ; else z(j+n)=0 ; end ; 
  end ;
 
 % Vypocet
 pz=p*z ;
 th=1+z'*pz ;
 kz=pz/th ;
 f=f+kz*(y(i)-z'*f) ;
 p=p-(pz*pz')/th ;
 %p=1.01*p ; 
 % pause ;
 %keyboard ; 

 % Dekodovani parametru
 for j=1:n, ao(i,j)=f(j) ; bo(i,j)=f(j+n) ; end ;
end ; 
p