% Set some constants first
w=256   ; % window length, should be power of two
ovrf=2  ; % overlap factor
ns=4 ;    % speech AR model order
nn=4 ;    % noise AR model order


s=w/ovrf ; % window shift
ntot=8 ; % AR model order for the input signal
fftw=w     ; % FFT window length
s1=sfft(ya,256,16) ; s2=sfft(ya2,256,16) ; stot=sfft(yas,256,16) ;
p1=pfft(ya,256,8) ; p2=pfft(ya2,256,8) ; ptot=pfft(yas,256,8) ;

p1est=ptot.^2-p2.^2 ;
p1est=sqrt(max([p1est ; zeros(1,256)])) ;
%p1est=sqrt(abs(p1est)) ;
s1est=stot.^2-s2.^2 ;
s1est=sqrt(max([s1est ; zeros(1,256)])) ;

figure(1) ; plot([strue(1:50)' p1(1:50)' p1est(1:50)' s1est(1:50)'])
legend('true','param','pestim','sestim') ;
figure(2) ; plot([s2(1:50)' strue2(1:50)' p2(1:50)'])
figure(3) ;  
plot([strue(1:50)'+strue2(1:50)' sqrt(s1(1:50).^2'+s2(1:50).^2') s3(1:50)' ptot(1:50)'])
legend('true','sum','prdgrm','param') ;
 